*{
  margin: 0;
  padding: 0;
}

.clear{
  clear: both;
}

body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #e4effa;
}

.navbar-wrapper {
  background-color: #0f322c;
  padding: 10px 0 0 0;
  text-align: center;
  overflow: visible;
  position: relative;
}

.nav-logo {
  height: 85px;
  margin-top: 10px;
}

#lang-btn {
  background-color: #0f322c;
  color: white;
  border: none;
  border-radius: 5px;
  padding: 8px 16px;
  font-size: 14px;
  font-family: 'Cairo', sans-serif;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
  box-shadow: 0 7px 11px rgba(0, 0, 0, 2.1);
}

#lang-btn:hover {
  background-color: #87bd4a;
  transform: scale(1.05);
}

.navbar {
  background-color: #0f322c;
  font-family: Arial;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 0;
  gap: 45px;
  overflow: visible;
  position: relative;
}

.navbar a {
  font-size: 16px;
  color: white;
  text-align: center;
  text-decoration: none;
  background-color: transparent;
  border: none;
  cursor: pointer;
  position: relative;
  transition: 0.3s;
}

.navbar a:hover,
.dropdown:hover .dropbtn {
  color: #87bd4a;
}

.navbar a::after,
.dropbtn::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 3px;
  background-color: #87bd4a;
  bottom: 0;
  left: 0;
  transform: scaleX(0);
  transform-origin: bottom right;
  transition: transform 0.25s linear;
}

.navbar a:hover::after,
.dropdown:hover .dropbtn::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown .dropbtn {
  background: transparent;
  border: none;
  color: white;
  font-size: 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  position: relative;
}

.dropdown-content {
  display: none;
  position: absolute;
  top: 125%;
  left: 50%;
  transform: translateX(-50%);
  background-color: white;
  min-width: 160px;
  border-radius: 8px;
  padding: 15px 0;
  box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.15);
  z-index: 999;
  overflow: visible;
}

.dropdown-content::before {
  content: "";
  position: absolute;
  top: -9px;
  left: 50%;
  transform: translateX(-50%);
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid white;
  z-index: 1000;
}

.dropdown-content a {
  color: #333;
  text-decoration: none;
  display: block;
  padding: 14px 20px;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  margin: 0;
  line-height: 1.5;
}

.dropdown-content a:hover {
  background-color: #ddd;
  color: #87bd4a;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 3px;
  background-color: #87bd4a;
  bottom: -5px;
  left: 0;
  transform: scaleX(0);
  transform-origin: bottom right;
  transition: transform 0.25s linear;
}

.submenu {
  position: relative;
}

.submenu-content {
  display: none;
  position: absolute;
  left: 100%;
  top: 0;
  background-color: white;
  min-width: 160px;
  box-shadow: 0px 8px 16px rgba(0,0,0,0.2);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
}

.submenu:hover .submenu-content {
  display: block;
}

.image-grid-h1{
  text-align: center;
  margin-top: 35px;
}    

.image-fade-container {
  position: relative;
  display: inline-block;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
}

.image-grid-h1{
  text-align: center;
  margin-top: 35px;
}    

.image-fade-container {
  position: relative;
  display: inline-block;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
}

.image-fade-container img {
  width: 100%;
  display: block;
}

.image-fade-container::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.775);
  pointer-events: none;
  z-index: 1;
}

.overlay-text {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #87bd4a;
  z-index: 2;
  font-family: 'Arial', sans-serif;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);

}

.overlay-text p {
  font-size: 20px;
  margin-top: 8px;
}

.image-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  justify-content: center;
  padding: 20px;
}

.product-item {
  background: white;
  border-radius: 20px;
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1);
  padding: 20px;
  flex: 1 1 45%;   /* 2 per row */
  max-width: 25%;
  box-sizing: border-box;
  text-align: center;
  transition: transform 0.3s ease;
}

.product-item img {
  max-width: 100%;
  height: auto;
  margin-bottom: 15px;
  border-radius: 8px;
}

.product-item:hover {
  transform: translateY(-5px);
}

.product-title {
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 8px;
}

.product-price {
  color: #87bd4a;
  font-size: 18px;
  margin: 0 0 5px 0;
}

.product-desc {
  font-size: 14px;
  color: #555;
  margin-bottom: 10px;
}

.details-btn {
  display: inline-block;
  margin-top: 10px;
  margin-bottom: 20px;
  padding: 8px 16px;
  background-color: #87bd4a; 
  color: white;
  border: none;
  border-radius: 5px;
  text-decoration: none;
  font-weight: 600;
  transition: background-color 0.3s ease;
}

.details-btn:hover {
  background-color: #89ceed;
}

.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background-color: #0f322c; 
  margin-top: 30px;
}

.footer-left {
  margin: 10px;
  padding-left: 200px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start; 
  align-items: flex-start;     
  text-align: left;           
  height: 100%;
}

.footer-left-h1{
  padding-bottom: 20px;
  justify-content: center;
  color: #87bd4a;
}

.footer-left-h3{
  padding-bottom: 20px;
  color: #87bd4a;
}

.footer-middle{
  margin: 10px;
} 

.footer-middle-img {
  width: 200px;
  height: auto;
}

.footer-right{
  margin: 10px;
  padding-right: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;     
  justify-content: center; 
  text-align: center;      
 
}

.footer-right-h1{
  padding-bottom: 20px;
  color: #87bd4a;
}

.footer-right-icons {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  justify-content: center; 
  margin-top: 10px;
}

.footer-right-img {
  width: 35px;
  height: 35px;
  transition: transform 0.3s ease;
}

.footer-right-img:hover {
  transform: scale(1.5)}